Returns up to the 20 most recent stored versions of one message.
/api/conversations/{id}/messages/{messageId}/revisionsReturns up to the 20 most recent stored versions of one message. Each entry contains the previous content, when it was recorded, and who performed the edit when that information is available. Visitor callers can read edit history only for messages in their own conversations.
Bearer API key or X-API-Key header.conversations:readautomation_api)Resource identifier.
Resource identifier.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"messageId": "7f1f4d83-0a0e-4f34-9c4b-9a98d6e1c2ab",
"edits": [
{
"content": "Your refund will be processed today.",
"editedAt": "2026-06-23T08:10:00.000Z",
"editedBy": "550e8400-e29b-41d4-a716-446655440000"
},
{
"content": "Your refund was approved today.",
"editedAt": "2026-06-23T08:15:00.000Z",
"editedBy": "550e8400-e29b-41d4-a716-446655440000"
}
]
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/conversations/11111111-1111-4111-8111-111111111111/messages/33333333-3333-4333-8333-333333333333/revisions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/conversations/11111111-1111-4111-8111-111111111111/messages/33333333-3333-4333-8333-333333333333/revisions", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?